﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_constraint.sql **/

 EXEC P_ALTERPK 'PK_WF_ALARMMSGSENDLOG', 'T_WF_ALARMMSGSENDLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_ALARMMSGSENDLOG_CRDATE') CREATE INDEX IDX_WF_ALARMMSGSENDLOG_CRDATE ON T_WF_ALARMMSGSENDLOG ( FCREATEDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_ALARMMSGSENDLOG_SCENE') CREATE INDEX IDX_WF_ALARMMSGSENDLOG_SCENE ON T_WF_ALARMMSGSENDLOG ( FALARMSCENE ,FSTATE );


 EXEC P_ALTERPK 'PK_WF_ALARMMSGSENDLOG_L', 'T_WF_ALARMMSGSENDLOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_ALARMMSGSENDLOG_L') CREATE INDEX IDX_WF_ALARMMSGSENDLOG_L ON T_WF_ALARMMSGSENDLOG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WF_ALARMRULE', 'T_WF_ALARMRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_ALARMRULE_ALARMSCENE') CREATE INDEX IDX_WF_ALARMRULE_ALARMSCENE ON T_WF_ALARMRULE ( FALARMSCENE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_ALARMRULE_CREATEDATE') CREATE INDEX IDX_WF_ALARMRULE_CREATEDATE ON T_WF_ALARMRULE ( FCREATEDATE );


 EXEC P_ALTERPK 'PK_WF_ALARMRULE_L', 'T_WF_ALARMRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_ALARMRULE_L') CREATE INDEX IDX_WF_ALARMRULE_L ON T_WF_ALARMRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WF_RECOVERSYSERRLOG', 'T_WF_RECOVERSYSERRLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_RECOVSYSERRLOG_STADATE') CREATE INDEX IDX_WF_RECOVSYSERRLOG_STADATE ON T_WF_RECOVERSYSERRLOG ( FSTARTDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_RECOVSYSERRLOG_ENDDATE') CREATE INDEX IDX_WF_RECOVSYSERRLOG_ENDDATE ON T_WF_RECOVERSYSERRLOG ( FENDDATE );


 EXEC P_ALTERPK 'PK_WF_SCHEDULEMQMANAGE', 'T_WF_SCHEDULEMQMANAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_SCHEMQMANAGE_STARTDATE') CREATE INDEX IDX_WF_SCHEMQMANAGE_STARTDATE ON T_WF_SCHEDULEMQMANAGE ( FSTARTDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_SCHEMQMANAGE_STATE') CREATE INDEX IDX_WF_SCHEMQMANAGE_STATE ON T_WF_SCHEDULEMQMANAGE ( FSTATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_SCHEMQMANAGE_PARENTID') CREATE INDEX IDX_WF_SCHEMQMANAGE_PARENTID ON T_WF_SCHEDULEMQMANAGE ( FPARENTID );


 EXEC P_ALTERPK 'PK_WF_SCHEDULEMQMANAGE_L', 'T_WF_SCHEDULEMQMANAGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_SCHEDULEMQMANAGE_L') CREATE INDEX IDX_WF_SCHEDULEMQMANAGE_L ON T_WF_SCHEDULEMQMANAGE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_constraint.sql **/
