﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_DEPLOYSQL') 
 CREATE TABLE T_WF_DEPLOYSQL (
FID BIGINT DEFAULT 0 NOT NULL,
FFILENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFILECONTENT NCLOB,
FEXECUTIONTIME DATETIME,
FISSUCCESS CHAR(1) DEFAULT '0' NOT NULL,
FERRORINFO NCLOB,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PROCTPLRELEASELOG') 
 CREATE TABLE T_WF_PROCTPLRELEASELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCTPLID BIGINT DEFAULT 0 NOT NULL,
FVERSION INT DEFAULT 0 NOT NULL,
FOLDRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FNEWRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_PROCTPL' AND KSQL_COL_NAME IN ('FCOPYFROM')) 
 ALTER TABLE T_WF_PROCTPL ADD (FCOPYFROM BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_PROCTPL' AND KSQL_COL_NAME IN ('FPRESET')) 
 ALTER TABLE T_WF_PROCTPL ADD (FPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_PROCTPL' AND KSQL_COL_NAME IN ('FPROCESSTYPE')) 
 ALTER TABLE T_WF_PROCTPL ADD (FPROCESSTYPE VARCHAR(30) DEFAULT 'AuditFlow' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_PROCTPL' AND KSQL_COL_NAME IN ('FSTATUS')) 
 ALTER TABLE T_WF_PROCTPL ADD (FSTATUS VARCHAR(30) DEFAULT 'disable' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_MODEL' AND KSQL_COL_NAME IN ('FTEMPLATEID')) 
 ALTER TABLE T_WF_MODEL ADD (FTEMPLATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_MODEL' AND KSQL_COL_NAME IN ('FTEMPLATENUMBER')) 
 ALTER TABLE T_WF_MODEL ADD (FTEMPLATENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
