﻿/**流程压缩表索引 **/
 EXEC P_ALTERPK 'PK_WF_HIPROCCOMPACT', 'T_WF_HIPROCCOMPACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_HIPROCCOMPACT' AND KSQL_INDNAME = 'IDX_WF_HIPROCCOMPACT_PROCDEF') CREATE INDEX IDX_WF_HIPROCCOMPACT_PROCDEF ON T_WF_HIPROCCOMPACT ( FPROCDEFID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_HIPROCCOMPACT' AND KSQL_INDNAME = 'IDX_WF_HIPROCCOMPACT_PROCINST') CREATE INDEX IDX_WF_HIPROCCOMPACT_PROCINST ON T_WF_HIPROCCOMPACT ( FPROCINSTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_HIPROCCOMPACT' AND KSQL_INDNAME = 'IDX_WF_HIPROCCOMPACT_BUSKEY') CREATE INDEX IDX_WF_HIPROCCOMPACT_BUSKEY ON T_WF_HIPROCCOMPACT ( FBUSINESSKEY ,FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_HIPROCCOMPACT' AND KSQL_INDNAME = 'IDX_WF_HIPROCCOMPACT_BILLNO') CREATE INDEX IDX_WF_HIPROCCOMPACT_BILLNO ON T_WF_HIPROCCOMPACT ( FBILLNO );

/**流程压缩关联表索引 **/
 EXEC P_ALTERPK 'PK_WF_HIPROCCOMPACTREL', 'T_WF_HIPROCCOMPACTREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_HIPROCCOMPACTREL' AND KSQL_INDNAME = 'IDX_WF_HIPROCCOMPREL_BUSKEY') CREATE INDEX IDX_WF_HIPROCCOMPREL_BUSKEY ON T_WF_HIPROCCOMPACTREL ( FBUSINESSKEY ,FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_HIPROCCOMPACTREL' AND KSQL_INDNAME = 'IDX_WF_HIPROCCOMPREL_PROCINST') CREATE INDEX IDX_WF_HIPROCCOMPREL_PROCINST ON T_WF_HIPROCCOMPACTREL ( FPROCINSTID );
