/**插件耗时明细表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXEDETAIL') 
 CREATE TABLE T_WF_PLUGINEXEDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FPROCESSNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FENDTIME DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FEXECUTOR VARCHAR(255) DEFAULT ' ' NOT NULL,
FTRACEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FPLUGINNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPROCINSTID BIGINT DEFAULT 0 NOT NULL
);

/**插件耗时明细多语言表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXEDETAIL_L') 
 CREATE TABLE T_WF_PLUGINEXEDETAIL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);

/**插件耗时总表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXESUMMARY') 
 CREATE TABLE T_WF_PLUGINEXESUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FPLUGINNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTOTALDURATION BIGINT DEFAULT 0 NOT NULL,
FEXECUTEDTIMES INT DEFAULT 0 NOT NULL,
FAVERAGEDURATION BIGINT DEFAULT 0 NOT NULL
);

/**插件耗时总表多语言表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXESUMMARY_L') 
 CREATE TABLE T_WF_PLUGINEXESUMMARY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);

/**插件流程信息多语言表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PLUGINPROCINFO_L') 
 CREATE TABLE T_WF_PLUGINPROCINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPROCNANE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FELEMENTNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);

/**插件流程信息表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PLUGINPROCINFO') 
 CREATE TABLE T_WF_PLUGINPROCINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FPROCESSNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCNANE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCESSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(36) DEFAULT ' ' NOT NULL,
FELEMENTID VARCHAR(255) DEFAULT ' ' NOT NULL,
FELEMENTNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCENE VARCHAR(80) DEFAULT ' ' NOT NULL,
FPLUGINTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPLUGINNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FEXECUTEDTIMES INT DEFAULT 0 NOT NULL,
FAVERAGEDURATION BIGINT DEFAULT 0 NOT NULL,
FREFERENCEINFO VARCHAR(2000) DEFAULT ' ' NOT NULL
);